Bug 7273 - OpenSolaris Cifs Service fails to join S4 AD DC
OpenSolaris Cifs Service fails to join S4 AD DC
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All Solaris
: P3 normal
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-22 03:26 UTC by Bernd Markgraf
Modified: 2010-07-03 03:21 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Markgraf 2010-03-22 03:26:58 UTC
the s4 instance running with samba -id4 logs this:
FIXME: Using new system session for hdb
ldb_wrap open of sam.ldb
Found account name from PAC: Administrator []
ldb_wrap open of privilege.ldb
ldb_wrap open of sam.ldb
AKUMA\Administrator (S-1-5-21-2377519436-3217474962-1061788978-500) is changing password of host/bachata.akuma.bachata.homeunix.org@AKUMA.BACHATA.HOMEUNIX.ORG
kpasswdd: No such user when changing password
dreplsrv_notify_schedule(5) scheduled for: Mon Mar 22 09:18:35 2010 CET
FIXME: Using new system session for hdb
ldb_wrap open of sam.ldb
Found account name from PAC: Administrator []
ldb_wrap open of privilege.ldb
ldb_wrap open of sam.ldb
AKUMA\Administrator (S-1-5-21-2377519436-3217474962-1061788978-500) is changing password of host/bachata.akuma.bachata.homeunix.org@AKUMA.BACHATA.HOMEUNIX.ORG
kpasswdd: No such user when changing password
dreplsrv_notify_schedule(5) scheduled for: Mon Mar 22 09:18:40 2010 CET
dreplsrv_notify_schedule(5) scheduled for: Mon Mar 22 09:18:45 2010 CET
Terminating connection - 'NT_STATUS_END_OF_FILE'
Terminating connection - 'NT_STATUS_END_OF_FILE'
single_terminate: reason[NT_STATUS_END_OF_FILE]

to me it looks like the cifs service is trying to setup host/bachata.akuma.bachata.homeunix.org@AKUMA.BACHATA.HOMEUNIX.ORG as machine account and fails to set the password for that account resulting in a failure to join the domain.
an s3 instance from the same box joins the domain just fine, so i assume dns, kerberos and co are working correctly.
Comment 1 Matthias Dieter Wallnöfer 2010-03-24 11:41:31 UTC
I hope that abartlet who is a kerberos expert has a clue.
Comment 2 Andrew Bartlett 2010-03-24 17:08:41 UTC
This does not look hard to fix.  We just have to change what type of name were are looking up in the kpasswd server to 'any'. 
Comment 3 Andrew Bartlett 2010-03-25 01:38:16 UTC
Bernd,

Can you test this with the current master (0a65bb57a18176a4aaa6972c025062577b124ee7)?

I've pushed changes that should now support this operation. 

Thanks,
Comment 4 Bernd Markgraf 2010-03-25 17:51:21 UTC
./sbin/samba -V
Version 4.0.0alpha12-GIT-9fbbaa5

i know get a stack trace when trying to join:
kccsrv_periodic_schedule(300) scheduled for: Thu Mar 25 23:23:30 2010 CET
Received dgram packet of length 232 from 192.168.2.10:138
netlogon request to AKUMA<1b> from 192.168.2.10:138
not using extended security (SPNEGO or NTLMSSP)
Selected protocol [0][NT LM 0.12]
auth_check_password_send: Checking password for unmapped user [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
auth_check_password_send: mapped user is: [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
INTERNAL ERROR: Signal 11 in pid 4600 (4.0.0alpha12-GIT-9fbbaa5)
Please read the file BUGS.txt in the distribution
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
PANIC: internal error
Received dgram packet of length 232 from 192.168.2.10:138
netlogon request to AKUMA<1c> from 192.168.2.10:138
Received dgram packet of length 232 from 192.168.2.10:138
netlogon request to AKUMA<1b> from 192.168.2.10:138
Received dgram packet of length 232 from 192.168.2.10:138
netlogon request to AKUMA<1c> from 192.168.2.10:138
BACKTRACE: 51 stack frames:
 #0 /opt/samba/sbin/samba'call_backtrace+0x27 [0x8990a6a]
 #1 /opt/samba/sbin/samba'smb_panic+0x1f1 [0x8990d2d]
 #2 /opt/samba/sbin/samba'sig_fault+0x0 [0x8990e71]
 #3 /opt/samba/sbin/samba'fault_setup+0x0 [0x8990ea9]
 #4 /lib/libc.so.1'__sighndlr+0x15 [0xfe8efda5]
 #5 /lib/libc.so.1'call_user_handler+0x2af [0xfe8e2cff]
 #6 /opt/samba/sbin/samba'_tevent_add_timer+0x23 [0x89aba30]
 #7 /opt/samba/sbin/samba'ltdb_handle_request+0x1b3 [0x856909e]
 #8 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #9 /opt/samba/sbin/samba'partition_primary_sequence_number+0xf8 [0x8570ff9]
 #10 /opt/samba/sbin/samba'partition_reload_if_required+0x97 [0x8572a40]
 #11 /opt/samba/sbin/samba'partition_extended+0x5b [0x8571aac]
 #12 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #13 /opt/samba/sbin/samba'replmd_extended+0x53 [0x8514f44]
 #14 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #15 /opt/samba/sbin/samba'dsdb_schema_refresh+0x1ed [0x856631d]
 #16 /opt/samba/sbin/samba'dsdb_get_schema+0xb5 [0x8593828]
 #17 /opt/samba/sbin/samba'resolve_oids_search+0x35 [0x85432c3]
 #18 /opt/samba/sbin/samba'ldb_request+0x124 [0x84ed33b]
 #19 /opt/samba/sbin/samba'ldb_search+0x105 [0x84ee66d]
 #20 /opt/samba/sbin/samba'ldb_set_default_dns+0x6a [0x84ebd57]
 #21 /opt/samba/sbin/samba'rootdse_init+0xb3 [0x8585e4b]
 #22 /opt/samba/sbin/samba'ldb_init_module_chain+0x47 [0x84f520f]
 #23 /opt/samba/sbin/samba'ldb_next_init+0x2d [0x84f5c55]
 #24 /opt/samba/sbin/samba'samba_dsdb_init+0x6ef [0x850af08]
 #25 /opt/samba/sbin/samba'ldb_init_module_chain+0x47 [0x84f520f]
 #26 /opt/samba/sbin/samba'ldb_load_modules+0x30e [0x84f555c]
 #27 /opt/samba/sbin/samba'ldb_connect+0xc1 [0x84ec0d2]
 #28 /opt/samba/sbin/samba'ldb_wrap_connect+0x2f1 [0x858c360]
 #29 /opt/samba/sbin/samba'samdb_connect+0x47 [0x8586e8b]
 #30 /opt/samba/sbin/samba'authsam_check_password_internals+0xa2 [0x8498ae4]
 #31 /opt/samba/sbin/samba'auth_check_password_async_trigger+0x85 [0x84971d0]
 #32 /opt/samba/sbin/samba'tevent_common_loop_immediate+0x18b [0x89ad056]
 #33 /opt/samba/sbin/samba'std_event_loop_once+0x66 [0x89af109]
 #34 /opt/samba/sbin/samba'_tevent_loop_once+0xb7 [0x89abcb5]
 #35 /opt/samba/sbin/samba'tevent_common_loop_wait+0x47 [0x89abe94]
 #36 /opt/samba/sbin/samba'_tevent_loop_wait+0x19 [0x89abf12]
 #37 /opt/samba/sbin/samba'standard_accept_connection+0x265 [0x898733c]
 #38 /opt/samba/sbin/samba'stream_accept_handler+0x59 [0x817e4c0]
 #39 /opt/samba/sbin/samba'std_event_loop_select+0x2e4 [0x89af075]
 #40 /opt/samba/sbin/samba'std_event_loop_once+0xb3 [0x89af156]
 #41 /opt/samba/sbin/samba'_tevent_loop_once+0xb7 [0x89abcb5]
 #42 /opt/samba/sbin/samba'tevent_common_loop_wait+0x47 [0x89abe94]
 #43 /opt/samba/sbin/samba'_tevent_loop_wait+0x19 [0x89abf12]
 #44 /opt/samba/sbin/samba'standard_new_task+0x11e [0x8987486]
 #45 /opt/samba/sbin/samba'task_server_startup+0x73 [0x817ffa8]
 #46 /opt/samba/sbin/samba'server_service_init+0x5a [0x817dc19]
 #47 /opt/samba/sbin/samba'server_service_startup+0x115 [0x817dd56]
 #48 /opt/samba/sbin/samba'binary_smbd_main+0x7f4 [0x817d128]
 #49 /opt/samba/sbin/samba'main+0x3e [0x817d209]
 #50 /opt/samba/sbin/samba'_start+0x83 [0x817c0f7]
not using extended security (SPNEGO or NTLMSSP)
Selected protocol [0][NT LM 0.12]
auth_check_password_send: Checking password for unmapped user [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
auth_check_password_send: mapped user is: [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
INTERNAL ERROR: Signal 11 in pid 4601 (4.0.0alpha12-GIT-9fbbaa5)
Please read the file BUGS.txt in the distribution
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
PANIC: internal error
BACKTRACE: 51 stack frames:
 #0 /opt/samba/sbin/samba'call_backtrace+0x27 [0x8990a6a]
 #1 /opt/samba/sbin/samba'smb_panic+0x1f1 [0x8990d2d]
 #2 /opt/samba/sbin/samba'sig_fault+0x0 [0x8990e71]
 #3 /opt/samba/sbin/samba'fault_setup+0x0 [0x8990ea9]
 #4 /lib/libc.so.1'__sighndlr+0x15 [0xfe8efda5]
 #5 /lib/libc.so.1'call_user_handler+0x2af [0xfe8e2cff]
 #6 /opt/samba/sbin/samba'_tevent_add_timer+0x23 [0x89aba30]
 #7 /opt/samba/sbin/samba'ltdb_handle_request+0x1b3 [0x856909e]
 #8 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #9 /opt/samba/sbin/samba'partition_primary_sequence_number+0xf8 [0x8570ff9]
 #10 /opt/samba/sbin/samba'partition_reload_if_required+0x97 [0x8572a40]
 #11 /opt/samba/sbin/samba'partition_extended+0x5b [0x8571aac]
 #12 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #13 /opt/samba/sbin/samba'replmd_extended+0x53 [0x8514f44]
 #14 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #15 /opt/samba/sbin/samba'dsdb_schema_refresh+0x1ed [0x856631d]
 #16 /opt/samba/sbin/samba'dsdb_get_schema+0xb5 [0x8593828]
 #17 /opt/samba/sbin/samba'resolve_oids_search+0x35 [0x85432c3]
 #18 /opt/samba/sbin/samba'ldb_request+0x124 [0x84ed33b]
 #19 /opt/samba/sbin/samba'ldb_search+0x105 [0x84ee66d]
 #20 /opt/samba/sbin/samba'ldb_set_default_dns+0x6a [0x84ebd57]
 #21 /opt/samba/sbin/samba'rootdse_init+0xb3 [0x8585e4b]
 #22 /opt/samba/sbin/samba'ldb_init_module_chain+0x47 [0x84f520f]
 #23 /opt/samba/sbin/samba'ldb_next_init+0x2d [0x84f5c55]
 #24 /opt/samba/sbin/samba'samba_dsdb_init+0x6ef [0x850af08]
 #25 /opt/samba/sbin/samba'ldb_init_module_chain+0x47 [0x84f520f]
 #26 /opt/samba/sbin/samba'ldb_load_modules+0x30e [0x84f555c]
 #27 /opt/samba/sbin/samba'ldb_connect+0xc1 [0x84ec0d2]
 #28 /opt/samba/sbin/samba'ldb_wrap_connect+0x2f1 [0x858c360]
 #29 /opt/samba/sbin/samba'samdb_connect+0x47 [0x8586e8b]
 #30 /opt/samba/sbin/samba'authsam_check_password_internals+0xa2 [0x8498ae4]
 #31 /opt/samba/sbin/samba'auth_check_password_async_trigger+0x85 [0x84971d0]
 #32 /opt/samba/sbin/samba'tevent_common_loop_immediate+0x18b [0x89ad056]
 #33 /opt/samba/sbin/samba'std_event_loop_once+0x66 [0x89af109]
 #34 /opt/samba/sbin/samba'_tevent_loop_once+0xb7 [0x89abcb5]
 #35 /opt/samba/sbin/samba'tevent_common_loop_wait+0x47 [0x89abe94]
 #36 /opt/samba/sbin/samba'_tevent_loop_wait+0x19 [0x89abf12]
 #37 /opt/samba/sbin/samba'standard_accept_connection+0x265 [0x898733c]
 #38 /opt/samba/sbin/samba'stream_accept_handler+0x59 [0x817e4c0]
 #39 /opt/samba/sbin/samba'std_event_loop_select+0x2e4 [0x89af075]
 #40 /opt/samba/sbin/samba'std_event_loop_once+0xb3 [0x89af156]
 #41 /opt/samba/sbin/samba'_tevent_loop_once+0xb7 [0x89abcb5]
 #42 /opt/samba/sbin/samba'tevent_common_loop_wait+0x47 [0x89abe94]
 #43 /opt/samba/sbin/samba'_tevent_loop_wait+0x19 [0x89abf12]
 #44 /opt/samba/sbin/samba'standard_new_task+0x11e [0x8987486]
 #45 /opt/samba/sbin/samba'task_server_startup+0x73 [0x817ffa8]
 #46 /opt/samba/sbin/samba'server_service_init+0x5a [0x817dc19]
 #47 /opt/samba/sbin/samba'server_service_startup+0x115 [0x817dd56]
 #48 /opt/samba/sbin/samba'binary_smbd_main+0x7f4 [0x817d128]
 #49 /opt/samba/sbin/samba'main+0x3e [0x817d209]
 #50 /opt/samba/sbin/samba'_start+0x83 [0x817c0f7]
not using extended security (SPNEGO or NTLMSSP)
Selected protocol [0][NT LM 0.12]
auth_check_password_send: Checking password for unmapped user [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
auth_check_password_send: mapped user is: [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
INTERNAL ERROR: Signal 11 in pid 4602 (4.0.0alpha12-GIT-9fbbaa5)
Please read the file BUGS.txt in the distribution
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
PANIC: internal error
BACKTRACE: 51 stack frames:
 #0 /opt/samba/sbin/samba'call_backtrace+0x27 [0x8990a6a]
 #1 /opt/samba/sbin/samba'smb_panic+0x1f1 [0x8990d2d]
 #2 /opt/samba/sbin/samba'sig_fault+0x0 [0x8990e71]
 #3 /opt/samba/sbin/samba'fault_setup+0x0 [0x8990ea9]
 #4 /lib/libc.so.1'__sighndlr+0x15 [0xfe8efda5]
 #5 /lib/libc.so.1'call_user_handler+0x2af [0xfe8e2cff]
 #6 /opt/samba/sbin/samba'_tevent_add_timer+0x23 [0x89aba30]
 #7 /opt/samba/sbin/samba'ltdb_handle_request+0x1b3 [0x856909e]
 #8 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #9 /opt/samba/sbin/samba'partition_primary_sequence_number+0xf8 [0x8570ff9]
 #10 /opt/samba/sbin/samba'partition_reload_if_required+0x97 [0x8572a40]
 #11 /opt/samba/sbin/samba'partition_extended+0x5b [0x8571aac]
 #12 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #13 /opt/samba/sbin/samba'replmd_extended+0x53 [0x8514f44]
 #14 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #15 /opt/samba/sbin/samba'dsdb_schema_refresh+0x1ed [0x856631d]
 #16 /opt/samba/sbin/samba'dsdb_get_schema+0xb5 [0x8593828]
 #17 /opt/samba/sbin/samba'resolve_oids_search+0x35 [0x85432c3]
 #18 /opt/samba/sbin/samba'ldb_request+0x124 [0x84ed33b]
 #19 /opt/samba/sbin/samba'ldb_search+0x105 [0x84ee66d]
 #20 /opt/samba/sbin/samba'ldb_set_default_dns+0x6a [0x84ebd57]
 #21 /opt/samba/sbin/samba'rootdse_init+0xb3 [0x8585e4b]
 #22 /opt/samba/sbin/samba'ldb_init_module_chain+0x47 [0x84f520f]
 #23 /opt/samba/sbin/samba'ldb_next_init+0x2d [0x84f5c55]
 #24 /opt/samba/sbin/samba'samba_dsdb_init+0x6ef [0x850af08]
 #25 /opt/samba/sbin/samba'ldb_init_module_chain+0x47 [0x84f520f]
 #26 /opt/samba/sbin/samba'ldb_load_modules+0x30e [0x84f555c]
 #27 /opt/samba/sbin/samba'ldb_connect+0xc1 [0x84ec0d2]
 #28 /opt/samba/sbin/samba'ldb_wrap_connect+0x2f1 [0x858c360]
 #29 /opt/samba/sbin/samba'samdb_connect+0x47 [0x8586e8b]
 #30 /opt/samba/sbin/samba'authsam_check_password_internals+0xa2 [0x8498ae4]
 #31 /opt/samba/sbin/samba'auth_check_password_async_trigger+0x85 [0x84971d0]
 #32 /opt/samba/sbin/samba'tevent_common_loop_immediate+0x18b [0x89ad056]
 #33 /opt/samba/sbin/samba'std_event_loop_once+0x66 [0x89af109]
 #34 /opt/samba/sbin/samba'_tevent_loop_once+0xb7 [0x89abcb5]
 #35 /opt/samba/sbin/samba'tevent_common_loop_wait+0x47 [0x89abe94]
 #36 /opt/samba/sbin/samba'_tevent_loop_wait+0x19 [0x89abf12]
 #37 /opt/samba/sbin/samba'standard_accept_connection+0x265 [0x898733c]
 #38 /opt/samba/sbin/samba'stream_accept_handler+0x59 [0x817e4c0]
 #39 /opt/samba/sbin/samba'std_event_loop_select+0x2e4 [0x89af075]
 #40 /opt/samba/sbin/samba'std_event_loop_once+0xb3 [0x89af156]
 #41 /opt/samba/sbin/samba'_tevent_loop_once+0xb7 [0x89abcb5]
 #42 /opt/samba/sbin/samba'tevent_common_loop_wait+0x47 [0x89abe94]
 #43 /opt/samba/sbin/samba'_tevent_loop_wait+0x19 [0x89abf12]
 #44 /opt/samba/sbin/samba'standard_new_task+0x11e [0x8987486]
 #45 /opt/samba/sbin/samba'task_server_startup+0x73 [0x817ffa8]
 #46 /opt/samba/sbin/samba'server_service_init+0x5a [0x817dc19]
 #47 /opt/samba/sbin/samba'server_service_startup+0x115 [0x817dd56]
 #48 /opt/samba/sbin/samba'binary_smbd_main+0x7f4 [0x817d128]
 #49 /opt/samba/sbin/samba'main+0x3e [0x817d209]
 #50 /opt/samba/sbin/samba'_start+0x83 [0x817c0f7]
not using extended security (SPNEGO or NTLMSSP)
Selected protocol [0][NT LM 0.12]
auth_check_password_send: Checking password for unmapped user [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
auth_check_password_send: mapped user is: [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
INTERNAL ERROR: Signal 11 in pid 4603 (4.0.0alpha12-GIT-9fbbaa5)
Please read the file BUGS.txt in the distribution
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
PANIC: internal error
BACKTRACE: 51 stack frames:
 #0 /opt/samba/sbin/samba'call_backtrace+0x27 [0x8990a6a]
 #1 /opt/samba/sbin/samba'smb_panic+0x1f1 [0x8990d2d]
 #2 /opt/samba/sbin/samba'sig_fault+0x0 [0x8990e71]
 #3 /opt/samba/sbin/samba'fault_setup+0x0 [0x8990ea9]
 #4 /lib/libc.so.1'__sighndlr+0x15 [0xfe8efda5]
 #5 /lib/libc.so.1'call_user_handler+0x2af [0xfe8e2cff]
 #6 /opt/samba/sbin/samba'_tevent_add_timer+0x23 [0x89aba30]
 #7 /opt/samba/sbin/samba'ltdb_handle_request+0x1b3 [0x856909e]
 #8 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #9 /opt/samba/sbin/samba'partition_primary_sequence_number+0xf8 [0x8570ff9]
 #10 /opt/samba/sbin/samba'partition_reload_if_required+0x97 [0x8572a40]
 #11 /opt/samba/sbin/samba'partition_extended+0x5b [0x8571aac]
 #12 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #13 /opt/samba/sbin/samba'replmd_extended+0x53 [0x8514f44]
 #14 /opt/samba/sbin/samba'ldb_next_request+0x471 [0x84f5ae4]
 #15 /opt/samba/sbin/samba'dsdb_schema_refresh+0x1ed [0x856631d]
 #16 /opt/samba/sbin/samba'dsdb_get_schema+0xb5 [0x8593828]
 #17 /opt/samba/sbin/samba'resolve_oids_search+0x35 [0x85432c3]
 #18 /opt/samba/sbin/samba'ldb_request+0x124 [0x84ed33b]
 #19 /opt/samba/sbin/samba'ldb_search+0x105 [0x84ee66d]
 #20 /opt/samba/sbin/samba'ldb_set_default_dns+0x6a [0x84ebd57]
 #21 /opt/samba/sbin/samba'rootdse_init+0xb3 [0x8585e4b]
 #22 /opt/samba/sbin/samba'ldb_init_module_chain+0x47 [0x84f520f]
 #23 /opt/samba/sbin/samba'ldb_next_init+0x2d [0x84f5c55]
 #24 /opt/samba/sbin/samba'samba_dsdb_init+0x6ef [0x850af08]
 #25 /opt/samba/sbin/samba'ldb_init_module_chain+0x47 [0x84f520f]
 #26 /opt/samba/sbin/samba'ldb_load_modules+0x30e [0x84f555c]
 #27 /opt/samba/sbin/samba'ldb_connect+0xc1 [0x84ec0d2]
 #28 /opt/samba/sbin/samba'ldb_wrap_connect+0x2f1 [0x858c360]
 #29 /opt/samba/sbin/samba'samdb_connect+0x47 [0x8586e8b]
 #30 /opt/samba/sbin/samba'authsam_check_password_internals+0xa2 [0x8498ae4]
 #31 /opt/samba/sbin/samba'auth_check_password_async_trigger+0x85 [0x84971d0]
 #32 /opt/samba/sbin/samba'tevent_common_loop_immediate+0x18b [0x89ad056]
 #33 /opt/samba/sbin/samba'std_event_loop_once+0x66 [0x89af109]
 #34 /opt/samba/sbin/samba'_tevent_loop_once+0xb7 [0x89abcb5]
 #35 /opt/samba/sbin/samba'tevent_common_loop_wait+0x47 [0x89abe94]
 #36 /opt/samba/sbin/samba'_tevent_loop_wait+0x19 [0x89abf12]
 #37 /opt/samba/sbin/samba'standard_accept_connection+0x265 [0x898733c]
 #38 /opt/samba/sbin/samba'stream_accept_handler+0x59 [0x817e4c0]
 #39 /opt/samba/sbin/samba'std_event_loop_select+0x2e4 [0x89af075]
 #40 /opt/samba/sbin/samba'std_event_loop_once+0xb3 [0x89af156]
 #41 /opt/samba/sbin/samba'_tevent_loop_once+0xb7 [0x89abcb5]
 #42 /opt/samba/sbin/samba'tevent_common_loop_wait+0x47 [0x89abe94]
 #43 /opt/samba/sbin/samba'_tevent_loop_wait+0x19 [0x89abf12]
 #44 /opt/samba/sbin/samba'standard_new_task+0x11e [0x8987486]
 #45 /opt/samba/sbin/samba'task_server_startup+0x73 [0x817ffa8]
 #46 /opt/samba/sbin/samba'server_service_init+0x5a [0x817dc19]
 #47 /opt/samba/sbin/samba'server_service_startup+0x115 [0x817dd56]
 #48 /opt/samba/sbin/samba'binary_smbd_main+0x7f4 [0x817d128]
 #49 /opt/samba/sbin/samba'main+0x3e [0x817d209]
 #50 /opt/samba/sbin/samba'_start+0x83 [0x817c0f7]
dreplsrv_notify_schedule(5) scheduled for: Thu Mar 25 23:18:38 2010 CET

(w7 join works fine though)
Comment 5 Andrew Bartlett 2010-03-26 02:27:50 UTC
Can you double-check this with a clean build after ./configure.developer and run samba like:

gdb --args bin/samba -i -M single -d3

then get me a 'bt full' when it crashes.

Thanks.
Comment 6 Bernd Markgraf 2010-03-26 03:01:27 UTC
that already was a fresh 'git clone' and a clean ./autogen.sh && ./configure.developer --prefix=/opt/samba && gmake.

when running with 'sbin/samba -i -d3' I get the trace adding '-M single' prevents the crash. but the join is unsuccessful giving that output from samba:


Received dgram packet of length 232 from 192.168.2.10:138
netlogon request to AKUMA<1b> from 192.168.2.10:138
Received dgram packet of length 232 from 192.168.2.10:138
netlogon request to AKUMA<1c> from 192.168.2.10:138
Received dgram packet of length 232 from 192.168.2.10:138
netlogon request to AKUMA<1b> from 192.168.2.10:138
Received dgram packet of length 232 from 192.168.2.10:138
netlogon request to AKUMA<1c> from 192.168.2.10:138
not using extended security (SPNEGO or NTLMSSP)
Selected protocol [0][NT LM 0.12]
auth_check_password_send: Checking password for unmapped user [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
auth_check_password_send: mapped user is: [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
ldb_wrap open of sam.ldb
Terminating connection - 'NT_STATUS_CONNECTION_DISCONNECTED'
single_terminate: reason[NT_STATUS_CONNECTION_DISCONNECTED]
192.168.2.10 closed connection to service IPC$
ldb_wrap open of sam.ldb
Terminating connection - 'NT_STATUS_CONNECTION_DISCONNECTED'
single_terminate: reason[NT_STATUS_CONNECTION_DISCONNECTED]
192.168.2.10 closed connection to service IPC$
ldb_wrap open of sam.ldb
Terminating connection - 'NT_STATUS_CONNECTION_DISCONNECTED'
single_terminate: reason[NT_STATUS_CONNECTION_DISCONNECTED]
192.168.2.10 closed connection to service IPC$
ldb_wrap open of sam.ldb
Terminating connection - 'NT_STATUS_CONNECTION_DISCONNECTED'
single_terminate: reason[NT_STATUS_CONNECTION_DISCONNECTED]
192.168.2.10 closed connection to service IPC$
ldb_wrap open of sam.ldb
auth_check_password_send: Checking password for unmapped user []\[]@[(null)]
auth_check_password_send: mapped user is: []\[]@[(null)]
ldb_wrap open of sam.ldb
Terminating connection - 'NT_STATUS_END_OF_FILE'
Terminating connection - 'NT_STATUS_END_OF_FILE'
single_terminate: reason[NT_STATUS_END_OF_FILE]
Terminating connection - 'NT_STATUS_END_OF_FILE'
Terminating connection - 'NT_STATUS_END_OF_FILE'
single_terminate: reason[NT_STATUS_END_OF_FILE]
not using extended security (SPNEGO or NTLMSSP)
Selected protocol [0][NT LM 0.12]
auth_check_password_send: Checking password for unmapped user [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
auth_check_password_send: mapped user is: [AKUMA]\[ADMINISTRATOR]@[192.168.2.10]
ldb_wrap open of sam.ldb
auth_check_password_send: Checking password for unmapped user []\[]@[(null)]
auth_check_password_send: mapped user is: []\[]@[(null)]
ldb_wrap open of sam.ldb
Terminating connection - 'NT_STATUS_END_OF_FILE'
Terminating connection - 'NT_STATUS_END_OF_FILE'
single_terminate: reason[NT_STATUS_END_OF_FILE]
Kerberos: AS-REQ ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG from ipv4:192.168.2.10:38079 for krbtgt/AKUMA.BACHATA.HOMEUNIX.ORG@AKUMA.BACHATA.HOMEUNIX.ORG
Kerberos: No preauth found, returning PREAUTH-REQUIRED -- ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG
Kerberos: AS-REQ ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG from ipv4:192.168.2.10:49602 for krbtgt/AKUMA.BACHATA.HOMEUNIX.ORG@AKUMA.BACHATA.HOMEUNIX.ORG
Kerberos: No preauth found, returning PREAUTH-REQUIRED -- ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG
Terminating connection - 'kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED'
single_terminate: reason[kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED]
Kerberos: AS-REQ ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG from ipv4:192.168.2.10:40537 for krbtgt/AKUMA.BACHATA.HOMEUNIX.ORG@AKUMA.BACHATA.HOMEUNIX.ORG
Kerberos: Client sent patypes: encrypted-timestamp
Kerberos: Looking for PKINIT pa-data -- ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG
Kerberos: Looking for ENC-TS pa-data -- ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG
Kerberos: ENC-TS Pre-authentication succeeded -- ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG using arcfour-hmac-md5
Kerberos: Client supported enctypes: aes256-cts-hmac-sha1-96, aes128-cts-hmac-sha1-96, des3-cbc-sha1, arcfour-hmac-md5, des-cbc-md5, des-cbc-crc, using arcfour-hmac-md5/arcfour-hmac-md5
Kerberos: Requested flags: renewable-ok, forwardable
Kerberos: AS-REQ authtime: 2010-03-26T08:59:39 starttime: unset endtime: 2010-03-27T08:59:47 renew till: unset
Kerberos: AS-REQ ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG from ipv4:192.168.2.10:62310 for krbtgt/AKUMA.BACHATA.HOMEUNIX.ORG@AKUMA.BACHATA.HOMEUNIX.ORG
Kerberos: Client sent patypes: encrypted-timestamp
Kerberos: Looking for PKINIT pa-data -- ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG
Kerberos: Looking for ENC-TS pa-data -- ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG
Kerberos: ENC-TS Pre-authentication succeeded -- ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG using arcfour-hmac-md5
Kerberos: Client supported enctypes: aes256-cts-hmac-sha1-96, aes128-cts-hmac-sha1-96, des3-cbc-sha1, arcfour-hmac-md5, des-cbc-md5, des-cbc-crc, using arcfour-hmac-md5/arcfour-hmac-md5
Kerberos: Requested flags: renewable-ok, forwardable
Kerberos: AS-REQ authtime: 2010-03-26T08:59:40 starttime: unset endtime: 2010-03-27T08:59:47 renew till: unset
Terminating connection - 'kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED'
single_terminate: reason[kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED]
Kerberos: TGS-REQ ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG from ipv4:192.168.2.10:61570 for ldap/akuma.akuma.bachata.homeunix.org@AKUMA.BACHATA.HOMEUNIX.ORG [canonicalize, forwardable]
Kerberos: TGS-REQ authtime: 2010-03-26T08:59:40 starttime: 2010-03-26T08:59:40 endtime: 2010-03-27T08:59:47 renew till: unset
Terminating connection - 'kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED'
single_terminate: reason[kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED]
ldb_wrap open of sam.ldb
ldb_wrap open of sam.ldb
Kerberos: TGS-REQ ADMINISTRATOR@AKUMA.BACHATA.HOMEUNIX.ORG from ipv4:192.168.2.10:44636 for kadmin/changepw@AKUMA.BACHATA.HOMEUNIX.ORG [canonicalize, forwardable]
Kerberos: TGS-REQ authtime: 2010-03-26T08:59:40 starttime: 2010-03-26T08:59:41 endtime: 2010-03-27T08:59:47 renew till: unset
Terminating connection - 'kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED'
single_terminate: reason[kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED]
FIXME: Using new system session for hdb
ldb_wrap open of sam.ldb
Found account name from PAC: Administrator []
ldb_wrap open of sam.ldb
AKUMA\Administrator (S-1-5-21-3048015046-2836287718-3678323695-500) is changing password of host/bachata.akuma.bachata.homeunix.org
FIXME: Using new system session for hdb
ldb_wrap open of sam.ldb
Found account name from PAC: Administrator []
ldb_wrap open of sam.ldb
AKUMA\Administrator (S-1-5-21-3048015046-2836287718-3678323695-500) is changing password of host/bachata.akuma.bachata.homeunix.org
FIXME: Using new system session for hdb
ldb_wrap open of sam.ldb
Found account name from PAC: Administrator []
ldb_wrap open of sam.ldb
AKUMA\Administrator (S-1-5-21-3048015046-2836287718-3678323695-500) is changing password of host/bachata.akuma.bachata.homeunix.org
Terminating connection - 'NT_STATUS_END_OF_FILE'
Terminating connection - 'NT_STATUS_END_OF_FILE'
single_terminate: reason[NT_STATUS_END_OF_FILE]
Comment 7 Bernd Markgraf 2010-03-26 09:22:37 UTC
now that the crash is fixed - this is what the client logs when trying to join:
Mar 26 15:19:04 bachata smbd[22552]: [ID 213798 daemon.error] smb_krb5_setpwd: Result:  (-54602542) 
Mar 26 15:19:05 bachata smbd[22552]: [ID 702911 daemon.notice] Failed to set machine password.
Mar 26 15:19:05 bachata smbd[22552]: [ID 871254 daemon.error] smbd: failed joining akuma (UNSUCCESSFUL)
Comment 8 Matthieu Patou 2010-05-14 17:28:34 UTC
Any news on this bug ?
Comment 9 Matthias Dieter Wallnöfer 2010-06-30 02:31:03 UTC
Any news on this? Otherwise I will close this.
Comment 10 Matthias Dieter Wallnöfer 2010-07-03 03:21:51 UTC
Closing as "FIXED".